import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/communities/domain/models/community_model.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/create_community/presentation/create_community_dialog.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/update_community/presentation/edit_community_dialog.dart';

abstract final class SpaceManagementCommunityDialogHelper {
  static void showCreateDialog(BuildContext context) => showDialog<void>(
        context: context,
        builder: (_) => const CreateCommunityDialog(),
      );

  static void showEditDialog(
    BuildContext context,
    CommunityModel community,
  ) {
    showDialog<void>(
      context: context,
      builder: (_) => EditCommunityDialog(
        community: community,
        parentContext: context,
      ),
    );
  }

  static void showLoadingDialog(BuildContext context) => showDialog<void>(
        context: context,
        barrierDismissible: false,
        builder: (context) => const Center(
          child: CircularProgressIndicator(),
        ),
      );

  static void showSuccessSnackBar(BuildContext context, String message) =>
      ScaffoldMessenger.of(context).showSnackBar(
        SnackBar(
          content: Text(message),
        ),
      );
}
