import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/space_management_v2/main_module/widgets/community_structure_header_button.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/communities/domain/models/space_model.dart';
import 'package:syncrow_web/utils/constants/assets.dart';

class CommunityStructureHeaderActionButtons extends StatelessWidget {
  const CommunityStructureHeaderActionButtons({
    super.key,
    required this.onDelete,
    required this.selectedSpace,
    required this.onDuplicate,
    required this.onEdit,
  });

  final void Function(SpaceModel space) onDelete;
  final void Function(SpaceModel space) onDuplicate;
  final void Function(SpaceModel space) onEdit;
  final SpaceModel? selectedSpace;

  @override
  Widget build(BuildContext context) {
    return Wrap(
      alignment: WrapAlignment.end,
      spacing: 10,
      children: [
        if (selectedSpace != null) ...[
          CommunityStructureHeaderButton(
            label: 'Edit',
            svgAsset: Assets.editSpace,
            onPressed: () => onEdit(selectedSpace!),
          ),
          CommunityStructureHeaderButton(
            label: 'Duplicate',
            svgAsset: Assets.duplicate,
            onPressed: () => onDuplicate(selectedSpace!),
          ),
          CommunityStructureHeaderButton(
            label: 'Delete',
            svgAsset: Assets.spaceDelete,
            onPressed: () => onDelete(selectedSpace!),
          ),
        ],
      ],
    );
  }
}
