import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/products/domain/models/product.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/products/domain/services/products_service.dart';
import 'package:syncrow_web/services/api/api_exception.dart';

part 'products_event.dart';
part 'products_state.dart';

class ProductsBloc extends Bloc<ProductsEvent, ProductsState> {
  ProductsBloc(this._productsService) : super(ProductsInitial()) {
    on<LoadProducts>(_onLoadProducts);
  }

  final ProductsService _productsService;

  Future<void> _onLoadProducts(
    LoadProducts event,
    Emitter<ProductsState> emit,
  ) async {
    emit(ProductsLoading());
    try {
      final products = await _productsService.getProducts();
      emit(ProductsLoaded(products));
    } on APIException catch (e) {
      emit(ProductsFailure(e.message));
    } catch (e) {
      emit(ProductsFailure(e.toString()));
    }
  }
}
