import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/communities/domain/models/space_model.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/space_details/data/services/remote_space_details_service.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/space_details/presentation/bloc/space_details_bloc.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/space_details/presentation/widgets/space_details_dialog.dart';
import 'package:syncrow_web/services/api/http_service.dart';

abstract final class SpaceDetailsDialogHelper {
  static void showCreate(BuildContext context) {
    showDialog<void>(
      context: context,
      builder: (_) => BlocProvider(
        create: (context) => SpaceDetailsBloc(
          RemoteSpaceDetailsService(httpService: HTTPService()),
        ),
        child: SpaceDetailsDialog(
          context: context,
          title: const SelectableText('Create Space'),
          spaceModel: SpaceModel.empty(),
          onSave: print,
        ),
      ),
    );
  }

  static void showEdit(
    BuildContext context, {
    required SpaceModel spaceModel,
  }) {
    showDialog<void>(
      context: context,
      builder: (_) => BlocProvider(
        create: (context) => SpaceDetailsBloc(
          RemoteSpaceDetailsService(httpService: HTTPService()),
        ),
        child: SpaceDetailsDialog(
          context: context,
          title: const SelectableText('Edit Space'),
          spaceModel: spaceModel,
          onSave: (space) {},
        ),
      ),
    );
  }
}
