import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/space_details/domain/models/space_details_model.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/space_details/presentation/widgets/space_details_action_buttons.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/tags/presentation/widgets/add_device_type_widget.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/tags/presentation/widgets/assign_tags_table.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class AssignTagsDialog extends StatelessWidget {
  const AssignTagsDialog({required this.space, super.key});

  final SpaceDetailsModel space;

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: const Text('Assign Tags'),
      content: ConstrainedBox(
        constraints: BoxConstraints(
          maxWidth: context.screenWidth * 0.6,
          minWidth: context.screenWidth * 0.6,
          maxHeight: context.screenHeight * 0.8,
        ),
        child: AssignTagsTable(productAllocations: space.productAllocations),
      ),
      actions: [
        SpaceDetailsActionButtons(
          onSave: () {},
          onCancel: () {
            showDialog<void>(
              context: context,
              builder: (context) => const AddDeviceTypeWidget(),
            );
          },
          cancelButtonLabel: 'Add New Device',
        ),
      ],
    );
  }
}
